function plot_sim_exp_conc()
%derived from function sim_exp_conc_2();

%% data input
load('result.mat');

%experimental data

% Time(h) Lac(mM) Glc(mM) Ins(pM)
TimeLacGlcIns =[ ...
-0.7	0.5     5	70	;...
-0.35	0.5     5	50	;...
0       0.5     5	55	;...
0.5     0.8     8	500	;...
1       1.2     8.2	490	;...
1.5     1       7.5	470	;...
2       0.8     6.2	330	;...
3       0.6     5.2	180	;...
4       0.58	5.1	180	;...
5       0.45	5.2	110	;...
6       0.42	4.9	50	];

% Time(h) NEFA(mM)
TimeNEFA =[ ...
-0.7	0.51	;...
-0.35	0.53	;...
0       0.52	;...
0.5     0.39	;...
1       0.07	;...
1.5     0.06	;...
2       0.06	;...
3       0.1	;...
4       0.2	;...
5       0.32	;...
6       0.5	];

% Time(h)	Liver glycogen (mM)
TimeGlygnL =[ ...
0       205	;...
2.2     248	;...
2.5     260	;...
3.2     275	;...
4.8     280	;...
4.9     278	;...
6       290	;...
7.5     260	;...
9.2     240	];

%Time(h) Chylo-TAG Plasma-TAG	33g fat
TimeTGchyloTGB = [ ...
-0.7	0.002	0.8	;...
-0.35	0.002	0.78	;...
0       0.002	0.76	;...
0.5     0.004	0.8	;...
1       0.006	0.85	;...
1.5     0.008	0.85	;...
2       0.01	0.9	;...
3       0.012	1.2	;...
4       0.025	1.45	;...
5       0.024	1.4	;...
6       0.012	1.15	];

%Time (h), glycerol, alanine
TimeGlycAla =[ ...
-1      0.075	0.23;...
-0.5	0.076	0.225;...
0       0.07	0.21;...
%0.5	0.04	0.21;...
1       0.025	0.23;...
%1.5	0.02	0.27;...
2       0.02	0.3;...
%2.5	0.028	0.29;...
3       0.026	0.28;...
%3.5	0.027	0.25;...
4       0.042	0.26;...
4.5     0.076	0.27];

%% plot
figure('Position',[200 200 800 600]);
subplot(2,2,1)
yyaxis left
   plot(T, Y(:,2), 'b-', 'linewidth',1.5); hold on;     %Glc_B
   plot(TimeLacGlcIns(:,1), TimeLacGlcIns(:,3), 'bo', 'linewidth',1.5); hold on;     %Glc_B
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[-0 10],'ylim',[0 12]);   
   xlabel('Time (h)','fontname','arial','fontsize',12);
   ylabel('Glucose concentration (mM) ','fontname','arial','fontsize',12);
   
yyaxis right 
   plot(T, Y(:,1)*10^9, 'r-', 'linewidth',1.5); hold on; %Ins_B
   plot(TimeLacGlcIns(:,1), TimeLacGlcIns(:,4), 'ro', 'linewidth',1.5); hold on;  %Ins_B 
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[-0 10],'ylim',[0 600]);   
   xlabel('Time (h)','fontname','arial','fontsize',12);
   ylabel('Insulin concentration (pM) ','fontname','arial','fontsize',12);
   title('A', 'fontname','arial','fontsize',18,'FontWeight','bold');
   box on;
   
subplot(2,2,2)
   plot(T, Y(:,13), 'r-', 'linewidth',1.5); hold on; %Glygn_L
   plot(T, Y(:,45), 'm-', 'linewidth',1.5); hold on;  %Glygn_M
   plot(TimeGlygnL(:,1), TimeGlygnL(:,2), 'ro', 'linewidth',1.5); hold on; %Glygn_L 
   
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[-0 10],'ylim',[0 300]);
   xlabel('Time (h)','fontname','arial','fontsize',12);
   ylabel('Concentration (mM)','fontname','arial','fontsize',12);
   title('B', 'fontname','arial','fontsize',18,'FontWeight','bold');
   box on;
   
subplot(2,2,3)  
   plot(T, Y(:,4), 'b-', 'linewidth',1.5); hold on;     %Lac_B
   plot(T, Y(:,6), 'r-', 'linewidth',1.5); hold on;     %Glyc_B
   plot(T, Y(:,8), 'g-', 'linewidth',1.5); hold on;     %FFA_B
   plot(T, Y(:,9), 'c-', 'linewidth',1.5); hold on;     %TG_B   
   plot(TimeLacGlcIns(:,1), TimeLacGlcIns(:,2), 'bo', 'linewidth',1.5); hold on;     %Lac_B
   plot(TimeGlycAla(:,1), TimeGlycAla(:,2), 'ro', 'linewidth',1.5); hold on;     %Glyc_B
   plot(TimeNEFA(:,1), TimeNEFA(:,2), 'go', 'linewidth',1.5); hold on;  %FFA_B
   plot(TimeTGchyloTGB(:,1), TimeTGchyloTGB(:,3), 'co', 'linewidth',1.5); hold on;  %TG_B
   
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[-0 10],'ylim',[-0 2]);
   xlabel('Time (h)','fontname','arial','fontsize',12);
   ylabel('Concentration (mM)','fontname','arial','fontsize',12);
   title('C', 'fontname','arial','fontsize',18,'FontWeight','bold');
   box on;

end